Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Approval
  • Customer
  • Customer Request
  • Customer Transition
  • Jira Service Management Application
  • Organization
  • Organization Service Desk
  • Portals
  • Queue
  • Queue Settings
  • Request Attachment
  • Request Type
  • Request Type Permissions
  • Service Desk
  • Service Desk Customer
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index
  • index-snapshot
  • issue
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • securitylevel
  • serverInfo
  • session
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • websudo
  • workflow
  • workflowscheme
  • worklog
  • Assets - AQL
  • Assets - Analytics
  • Assets - Archived Objects
  • Assets - Attachments
  • Assets - Comments
  • Assets - Icons
  • Assets - Index Configuration
  • Assets - Object
  • Assets - Object Archive
  • Assets - Object Attribute
  • Assets - Object Connected Tickets
  • Assets - Object Restore
  • Assets - Object Schema
  • Assets - Object Type
  • Assets - Object Type Attribute
  • Assets - Progress
  • Assets - QR Code
  • Assets - Status Types
Server
Jira Service Management / / REST API

Assets - Attachments

Postman Collection
OpenAPI
GET

Get attachments

Get the attachments for an object by object ID.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

objectId

string

Required

Responses

Returns the attachments for the object

application/json

AttachmentEntry
GET/assets/1.0/attachments/object/{objectId}
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/assets/1.0/attachments/object/{objectId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "id": 2154, "author": "<string>", "mimeType": "<string>", "filename": "<string>", "filesize": "<string>", "created": "<string>", "comment": "<string>", "commentOutput": "<string>", "url": "<string>" }
POST

Add attachments

Add an attachment to an object by object ID.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

objectId

string

Required

Responses

Returns the attachments for the object

application/json

AttachmentEntry
POST/assets/1.0/attachments/object/{objectId}
1 2 3 curl --request POST \ --url 'http://{baseurl}/rest/assets/1.0/attachments/object/{objectId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "id": 2154, "author": "<string>", "mimeType": "<string>", "filename": "<string>", "filesize": "<string>", "created": "<string>", "comment": "<string>", "commentOutput": "<string>", "url": "<string>" }
DEL

Delete attachment

Delete an attachment by attachment ID.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

attachmentId

string

Required

Responses

Returns the attachment

application/json

AttachmentEntry
DEL/assets/1.0/attachments/{attachmentId}
1 2 3 curl --request DELETE \ --url 'http://{baseurl}/rest/assets/1.0/attachments/{attachmentId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "id": 2154, "author": "<string>", "mimeType": "<string>", "filename": "<string>", "filesize": "<string>", "created": "<string>", "comment": "<string>", "commentOutput": "<string>", "url": "<string>" }

Rate this page: